﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections.Specialized;

namespace ClientScript
{
    public partial class ClientCallbackDemo : System.Web.UI.Page,System.Web.UI.ICallbackEventHandler
    {
        protected ListDictionary catalog;
        protected string returnValue;
        protected void Page_Load(object sender, EventArgs e)
        {
            String cbReference = Page.ClientScript.GetCallbackEventReference(this, "arg", "ReceiveServerData", "context");
            
            string callbackScript;
            callbackScript = "function CallServer(arg,context)"+
                "{"+cbReference+";}";

            Page.ClientScript.RegisterClientScriptBlock(this.GetType(), "CallServer", callbackScript, true);

            catalog = new ListDictionary();
            catalog.Add("monitor",12);
            catalog.Add("laptop", 10);
            catalog.Add("keyword", 23);
            catalog.Add("mouse", 17);

            ListBox1.DataSource = catalog;
            ListBox1.DataTextField = "key";
            ListBox1.DataBind();

        }
        public void RaiseCallbackEvent(String eventArgument)
        {
            if (catalog[eventArgument] == null)
            {
                returnValue = "-1";
            }
            else
            {
                returnValue = catalog[eventArgument].ToString();
            }
        }
        public string GetCallbackResult()
        {
            return returnValue;
        }
    }
}